Skip to main content
AttentionWatch the t field in captcha_url. If it shows fe, you are fine. If it shows bv, your IP is blocked and you need to switch to a new one.

Create Task

Create the task with the createTask endpoint, or use our Software Development Kit to make your integration process even easier!

Task Structure

PropertyTypeRequired
typeStringYes
captcha_urlStringYes
challenge_pageString (base64-encoded)Yes
user_agentStringYes
Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/146.0.0.0 Safari/537.36Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/147.0.0.0 Safari/537.36

Example Request

POST https://salamoonder.com/api/createTask
Host: salamoonder.com
Content-Type: application/json

{
    "api_key": "YOUR_API_KEY",
    "task": {
        "type": "DataDomeSliderSolver",
        "captcha_url": "https://geo.captcha-delivery.com/captcha/...",
    	"challenge_page": "<base64 encoded challenge blob>",
		"user_agent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64  ..."
    }
}
Upon successfully submitting the task to us, you should receive a ‘taskId’ in the response.

Example Response

{
  "error_code": 0,
  "error_description": "",
  "taskId": "d4611a5f-9b4e-4f4a-94a2-8303d97562e1"
}
Response Fields:
  • taskId - Unique identifier for this task. Use this to retrieve results.

Getting Results

Retrieve the results using the getTaskResult method. or use our Software Development Kit to make your integration process even easier!

Example Request

POST https://salamoonder.com/api/getTaskResult
Host: salamoonder.com
Content-Type: application/json

{
  "api_key": "YOUR_API_KEY",
  "taskId": "d4611a5f-9b4e-4f4a-94a2-8303d97562e1"
}

Example Response

{
  "errorId": 0,
  "solution": {
    "url": "https://geo.captcha-delivery.com/check/...",
    "user-agent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebK..."
  },
  "status": "ready"
}
Response Fields:
  • url- Make a GET request to this URL to get the cookie.
  • user-agent - user-agent that was used to make this payload.

Quick Start Example

We have examples for all our tasks to streamline integration. Feel free to check them out!

Slider Examples

All our Slider examples can be found here!